POST
/api/v2/referrals/programs/{programId}/drafts/{draftId}/change-previewPOST /api/v2/referrals/programs/{programId}/drafts/{draftId}/change-preview
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| programId (path) | string (uuid) | Yes | |
| draftId (path) | string (uuid) | Yes |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| DraftRevision | unknown | No | |
| EffectiveAt | string (date-time) | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| DraftId | string (uuid) | Yes | |
| DraftRevision | unknown | Yes | |
| Hash | string | Yes | |
| ExpiresAt | string (date-time) | Yes | |
| EffectiveAt | string (date-time) | Yes | |
| ExistingQualified | unknown | Yes | |
| ExistingUnqualified | unknown | Yes | |
| Cohort | string | Yes | |
| ChangedFields | array of string | Yes | |
| TermsAcceptanceRequired | boolean | Yes | |
| Warnings | array of string | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/referrals/programs/{programId}/drafts/{draftId}/change-preview" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.